Bug 73580 - i810 not possible to start second X
i810 not possible to start second X
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-06 06:25 EDT by kill
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log file from first X (26.18 KB, text/plain)
2002-09-06 06:26 EDT, kill
no flags Details
Log file from second X (15.21 KB, text/plain)
2002-09-06 06:27 EDT, kill
no flags Details

  None (edit)
Description kill 2002-09-06 06:25:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3)

Description of problem:
Trying to start more than one X not possible. Second X server does not start.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. on VT1 run X :0
2. on VT2 run X :1
3.
	

Actual Results:  First X starts as expected on VT 7

Second crashes with the following message (exerpt from XFree86.1.log):
(WW) xf86AcquireGART: AGPIOC_ACQUIRE failed (Device or resource busy)
(EE) GARTInit: AGPIOC_INFO failed (Invalid argument)
(EE) I810(0): AGP GART support is not available.  Make sure your kernel has
        agpgart support or that the agpgart kernel module is loaded.
(II) UnloadModule: "i810"
(II) UnloadModule: "ddc"
(II) Unloading /usr/X11R6/lib/modules/libddc.a
(II) UnloadModule: "int10"
(II) Unloading /usr/X11R6/lib/modules/linux/libint10.a
(II) UnloadModule: "vbe"
(II) Unloading /usr/X11R6/lib/modules/libvbe.a
(II) UnloadModule: "vgahw"
(II) Unloading /usr/X11R6/lib/modules/libvgahw.a
(EE) Screen(s) found, but none have a usable configuration.

Fatal server error:
no screens found



Expected Results:  Second X should come up on VT8

Additional info:

Pc: i686 64Mb Ram onboard i810 chipset
Comment 1 kill 2002-09-06 06:26:08 EDT
Created attachment 75205 [details]
Log file from first X
Comment 2 kill 2002-09-06 06:27:26 EDT
Created attachment 75206 [details]
Log file from second X
Comment 3 kill 2002-09-06 06:29:56 EDT
lateset kernel 2.4.18-10 installed, no change
Comment 4 kill 2002-09-06 07:38:47 EDT
one workaround is to rename/remove the i810.o kernel module.
Comment 5 Bugzilla owner 2004-09-30 11:39:54 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.